//Header de la classe SpritePerso

#include "Define.h"

class CSpritePerso
{
	private:
		int TexImmobile[10], TexMarche[10], TexSaut[10], TexAccrocher[10], TexTeleport;
		
lic:
		CSpritePerso();
		~CSpritePerso();
		
		void AffichePerso(int Etat, char nbAnim, int PosX, int PosY, int TailleX, int TailleY, bool Halo = false, GLubyte Red = 255, GLubyte Green = 255, GLubyte Blue = 255, GLubyte Alpha = 255, int offset = 15, GLubyte HaloRed = 255, GLubyte HaloGreen = 255, GLubyte HaloBlue = 255);
		void LoadTexPerso(const char *Name);
		
};

extern vector<CSpritePerso> SpritesPerso;
